com.google.common.reflect

## Class TypeParameter<T>

- java.lang.Object
- - com.google.common.reflect.TypeParameter<T>

-     @Beta
      public abstract class TypeParameter<T>
      extends java.lang.Object

  Captures a free type variable that can be used in `TypeToken.where(com.google.common.reflect.TypeParameter<X>, com.google.common.reflect.TypeToken<X>)`. For example:

         static <T> TypeToken<List<T>> listOf(Class<T> elementType) {
           return new TypeToken<List<T>>() {}
               .where(new TypeParameter<T>() {}, elementType);
         }

  Since:
    12.0

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TypeParameter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeParameter

          protected TypeParameter()

  - ### Method Detail

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public final boolean equals(@Nullable
                       java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`